Package org.apache.catalina.tribes

# Class UniqueId

java.lang.Object
org.apache.catalina.tribes.UniqueId

All Implemented Interfaces:
  `Serializable`

public final class UniqueId extends Object implements Serializable
Represents a globally unique Id.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UniqueId()`
`UniqueId(byte[] id)`
`UniqueId(byte[] id, int offset, int length)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`byte[]`
`getBytes()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UniqueId

public UniqueId()

### UniqueId

public UniqueId(byte[] id)

### UniqueId

public UniqueId(byte[] id, int offset, int length)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### getBytes

public byte[] getBytes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`